---
title: Date.prototype.setUTCSeconds()
slug: Web/JavaScript/Reference/Global_Objects/Date/setUTCSeconds
tags:
  - Date
  - JavaScript
  - Method
  - Prototype
  - Reference
---
<div>{{JSRef}}</div>

<p>The <strong><code>setUTCSeconds()</code></strong> method sets the seconds for a specified date according to universal time.</p>

<div>{{EmbedInteractiveExample("pages/js/date-setutcseconds.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>dateObj</var>.setUTCSeconds(<var>secondsValue</var>[, <var>msValue</var>])</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>secondsValue</var></code></dt>
 <dd>An integer between 0 and 59, representing the seconds.</dd>
 <dt><code><var>msValue</var></code></dt>
 <dd>Optional. A number between 0 and 999, representing the milliseconds.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The number of milliseconds between 1 January 1970 00:00:00 UTC and the updated date.</p>

<h2 id="Description">Description</h2>

<p>If you do not specify the <code>msValue</code> parameter, the value returned from the {{jsxref("Date.prototype.getUTCMilliseconds()", "getUTCMilliseconds()")}} method is used.</p>

<p>If a parameter you specify is outside of the expected range, <code>setUTCSeconds()</code> attempts to update the date information in the {{jsxref("Date")}} object accordingly. For example, if you use 100 for <code>secondsValue</code>, the minutes stored in the {{jsxref("Date")}} object will be incremented by 1, and 40 will be used for seconds.</p>

<h2 id="Examples">Examples</h2>

<h3 id="Using_setUTCSeconds">Using setUTCSeconds()</h3>

<pre class="brush: js notranslate">var theBigDay = new Date();
theBigDay.setUTCSeconds(20);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-date.prototype.setutcseconds', 'Date.prototype.setUTCSeconds')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.Date.setUTCSeconds")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("Date.prototype.getUTCSeconds()")}}</li>
 <li>{{jsxref("Date.prototype.setSeconds()")}}</li>
</ul>
